#### 3.15.1 Options for `val`

`-mname`

  Assert that the module name flag of the SCCS file is set to name. The return value of VAL will be zero only if all the other checks succeed and the history file has its module name flag set to this value. See Flags, for a description of the SCCS file flags.

`-s`

  Silent operation; suppress any error or warning messages that would otherwise be emitted; the return value of the program will still indicate the existence and general nature of any problems.

`-V`

  Display version information . This option does not exist in the traditional SCCS implementation.

`-rwanted`

  Validation will succeed if the SID wanted is valid, unambiguous, and present in the history file.

`-ytype`

  Assert that the module type flag of the SCCS file is set to type. The return value of VAL will be zero only if all the other checks succeed and the history file has its module name flag set to this value. See Flags, for a description of the SCCS file flags.